uIP 1.0: Data Fields

- Main Page
- Modules
- Data Structures
- Files
- Examples

- Alphabetical List
- Data Structures
- Class Hierarchy
- Data Fields

- All
- Variables

- a
- b
- c
- d
- f
- g
- h
- i
- l
- m
- n
- o
- p
- r
- s
- t
- u
- v
- w

Here is a list of all documented struct and union fields with links to the struct/union documentation for each field:

### - a -

- ackerr : uip_stats
- ackno : uip_tcpip_hdr
- addr : uip_neighbor_addr, uip_eth_addr
- appstate : uip_udp_conn, uip_conn

### - b -

- buf : telnetd_state, psock
- bufptr : telnetd_state, psock
- bufsize : psock

### - c -

- chkerr : uip_stats
- conn : dhcpc_state
- count : httpd_state, memb_blocks

### - d -

- default_router : dhcpc_state
- dest : uip_eth_hdr
- destipaddr : uip_udpip_hdr, uip_icmpip_hdr, uip_tcpip_hdr
- destport : uip_udpip_hdr, uip_tcpip_hdr
- dnsaddr : dhcpc_state
- drop : uip_stats

### - f -

- file : httpd_state, webclient_state
- filename : httpd_state
- flags : uip_tcpip_hdr
- fragerr : uip_stats
- from : smtp_state
- function : httpd_cgi_call

### - g -

- getrequestleft : webclient_state
- getrequestptr : webclient_state

### - h -

- hblenerr : uip_stats
- host : webclient_state
- httpflag : webclient_state
- httpheaderline : webclient_state
- httpheaderlineptr : webclient_state

### - i -

- icmp : uip_stats
- icmpchksum : uip_icmpip_hdr
- icode : uip_icmpip_hdr
- id : uip_icmpip_hdr
- initialmss : uip_conn
- inputbuf : httpd_state
- inputbuffer : hello_world_state
- interval : timer
- ip : uip_stats
- ipaddr : dhcpc_state
- ipchksum : uip_udpip_hdr, uip_icmpip_hdr, uip_tcpip_hdr
- ipid : uip_udpip_hdr, uip_icmpip_hdr, uip_tcpip_hdr
- ipoffset : uip_udpip_hdr, uip_icmpip_hdr, uip_tcpip_hdr

### - l -

- lblenerr : uip_stats
- lc : pt
- lease_time : dhcpc_state
- left : psock_buf
- len : httpd_state, uip_udpip_hdr, uip_icmpip_hdr, uip_tcpip_hdr, uip_conn
- lines : telnetd_state
- lport : uip_udp_conn, uip_conn

### - m -

- mac_addr : dhcpc_state
- mac_len : dhcpc_state
- mem : memb_blocks
- mimetype : webclient_state
- msg : smtp_state
- msglen : smtp_state
- mss : uip_conn

### - n -

- name : httpd_cgi_call, hello_world_state
- netmask : dhcpc_state
- nrtx : uip_conn
- num : memb_blocks
- numsent : telnetd_state

### - o -

- optdata : uip_tcpip_hdr

### - p -

- p : hello_world_state
- port : webclient_state
- proto : uip_udpip_hdr, uip_icmpip_hdr, uip_tcpip_hdr
- protoerr : uip_stats
- psockpt : psock
- pt : dhcpc_state
- ptr : psock_buf

### - r -

- rcv_nxt : uip_conn
- readlen : psock
- readptr : psock
- recv : uip_stats
- rexmit : uip_stats
- ripaddr : uip_udp_conn, uip_conn
- rport : uip_udp_conn, uip_conn
- rst : uip_stats
- rto : uip_conn

### - s -

- sa : uip_conn
- scriptlen : httpd_state
- scriptpt : httpd_state
- scriptptr : httpd_state
- sendlen : psock
- sendptr : smtp_state, psock
- sent : uip_stats
- sentlen : smtp_state
- seqno : uip_icmpip_hdr, uip_tcpip_hdr
- serverid : dhcpc_state
- size : memb_blocks
- snd_nxt : uip_conn
- sout : httpd_state
- src : uip_eth_hdr
- srcipaddr : uip_udpip_hdr, uip_icmpip_hdr, uip_tcpip_hdr
- srcport : uip_udpip_hdr, uip_tcpip_hdr
- start : timer
- state : httpd_state, webclient_state, telnetd_state, smtp_state, dhcpc_state, psock
- subject : smtp_state
- sv : uip_conn
- syndrop : uip_stats
- synrst : uip_stats

### - t -

- tcp : uip_stats
- tcpchksum : uip_tcpip_hdr
- tcpoffset : uip_tcpip_hdr
- tcpstateflags : uip_conn
- textlen : smtp_state
- ticks : dhcpc_state
- timer : httpd_state, webclient_state, dhcpc_state, uip_conn
- to : smtp_state
- tos : uip_udpip_hdr, uip_icmpip_hdr, uip_tcpip_hdr
- ttl : uip_udpip_hdr, uip_icmpip_hdr, uip_tcpip_hdr, uip_udp_conn
- type : uip_eth_hdr, uip_icmpip_hdr
- typeerr : uip_stats

### - u -

- udp : uip_stats
- udpchksum : uip_udpip_hdr
- udplen : uip_udpip_hdr
- urgp : uip_tcpip_hdr

### - v -

- vhl : uip_udpip_hdr, uip_icmpip_hdr, uip_tcpip_hdr
- vhlerr : uip_stats

### - w -

- wnd : uip_tcpip_hdr